#
# spec file for package libgtop (Version 1.0.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bc glib glib-devel gnome-libs gnome-libs-devel guile indent orbit orbit-devel readline readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bc bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff guile gzip indent kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libgtop
%define prefix     /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    LGPL
Group:        X11/Libraries
Autoreqprov:  on
Version:      1.0.12
Release:      176
Summary:      libGTop library (GNOME)
Source0:      ftp://ftp.gnome.org/pub/GNOME/stable/sources/libgtop/libgtop-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-root

%description
A library that fetches information about the running system such as
cpu and memory usage, active processes etc.
On Linux systems, these information are taken directly from the /proc
filesystem while on other systems a server is used to read those
information from /dev/kmem or whatever.

Authors:
--------
    Martin Baulig <martin@home-of-linux.org>
    Drazen Kacar <dave@srce.hr>
    Josh Sled <jsled@scam.XCF.Berkeley.EDU>

SuSE series: gnm

%package devel
Requires: libgtop
Summary:      LibGTop development package
Group:        X11/Libraries
Autoreqprov:  on
Requires: libgtop
Provides: libgtopd
Obsoletes: libgtopd

%description devel
LibGTop development package

SuSE series: gnm

%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -f }}
CFLAGS="$RPM_OPT_FLAGS" LIBS=-L/usr/X11R6/lib \
./configure --prefix=%prefix \
            --sysconfdir=%sysconfdir \
            --without-linux-table \
            --with-libgtop-inodedb
make

%install
make install prefix=$RPM_BUILD_ROOT%{prefix} \
             sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
             datadir=$RPM_BUILD_ROOT%{prefix}/share 

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-, root, root)
%doc RELNOTES* AUTHORS NEWS* README* copyright.txt
%doc src/inodedb/README.inodedb
%{prefix}/lib/lib*.so.*
%{prefix}/share/locale/*/*/*
%{prefix}/bin/file_by_inode
%{prefix}/bin/libgtop_daemon
%{prefix}/bin/mkinodedb

%files devel
%defattr(-, root, root)
%{prefix}/bin/*-config
%{prefix}/info/libgtop*
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/lib/*.def
%{prefix}/include/*

%changelog -n libgtop
* Mon Mar 05 2001 - egger@suse.de
- Removed unused bindings archive from the sources.
* Mon Mar 05 2001 - egger@suse.de
- Updated to version 1.0.12.
- Cleaned up specfile.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Feb 16 2001 - hhetter@suse.de
- updated to version 1.0.11
* Tue Nov 28 2000 - egger@suse.de
- Fixed specfile.
- Updated to version 1.0.10.
* Sat Nov 04 2000 - kukuk@suse.de
- fix neededforbuild
- rename libgtopd -> libgtop-devel
* Thu May 25 2000 - baulig@suse.de
- update to version 1.0.9.
- fixed authors list in spec file.
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Sat Feb 19 2000 - ke@suse.de
- update to version 1.0.7.
- ./configure -> %%build.
- add group tag.
* Tue Oct 19 1999 - ke@suse.de
- update: version 1.0.6.
* Wed Oct 13 1999 - ke@suse.de
- update: version 1.0.5.
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Jun 08 1999 - ke@suse.de
- update: version 1.0.2 (bug fixes).
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Mar 04 1999 - ke@suse.de
- update: version 1.0.1.
* Mon Mar 01 1999 - ke@suse.de
- update: version 1.0.0 (pre).
* Thu Feb 18 1999 - ke@suse.de
- update: version 0.99.8.
- filelist modifications.
* Sat Jan 09 1999 - ke@suse.de
- update: version 0.99.2.
- add *guile* again.
- add to `neededforbuild': bc termcap guile orbit orbitdev gnlibs gnlibsd
  glibn glibndev.
- make it BuildRoot.
- add Source1: libgtop-bindings-0.99.2.tar.gz (at the moment not used).
* Sun Nov 29 1998 - bs@suse.de
- removed *guile* from file list (does not build)
* Thu Nov 19 1998 - ro@suse.de
- added include/glibtop.h to filelist
* Wed Nov 18 1998 - ro@suse.de
- created package
